> For the complete documentation index, see [llms.txt](https://docs.digitalturbine.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.digitalturbine.com/dt-fairbid/fairbid-sdk/sdk-reference/gdpr.md).

# GDPR

The General Data Protection Regulation ([GDPR](https://gdpr.eu/)) requires you to scope your user's consent. A user falls within the GDPR scope for your app when one more of the following applies:

* The user is currently located in the European Union (EU).
* The user registers with the app as an EU resident.
* The app specifically targets EU users.

For more information about how DT applies GDPR, see [GDPR](/dt-fairbid/privacy/gdpr.md).

DT recommends that the first time you gather a user's consent, pass it to the DT FairBid SDK before initializing it. The SDK considers the user's consent when initializing. For future sessions, call the API if the user updates their consent, as the SDK caches the consent.

{% hint style="warning" %}
If you do not pass the user's consent to the DT FairBid SDK, the SDK only shows contextual ads to that user, which might negatively reduce your revenue.
{% endhint %}

## User Consent Given

To indicate that the user gives consent, use the following API:

{% tabs %}
{% tab title="Android" %}
{% code title="Java" %}

```java
UserInfo.setGdprConsent(true, context);
      // true or YES if you have the user’s consent
```

{% endcode %}
{% endtab %}

{% tab title="iOS" %}
{% code title="Swift" %}

```swift
FairBid.user().gdprConsent = true
```

{% endcode %}

{% code title="Objective-C" %}

```objective-c
[FairBid user].GDPRConsent = YES;
```

{% endcode %}
{% endtab %}

{% tab title="Unity" %}
{% code title="C#" %}

```csharp
UserInfo.SetGdprConsent(true);
```

{% endcode %}
{% endtab %}
{% endtabs %}

## User Consent NOT Given

To indicate that the user does not give consent, use the following API:

{% tabs %}
{% tab title="Android" %}
{% code title="Java" %}

```java
UserInfo.setGdprConsent(false, context);
      // false or NOT if you do not have the user’s consent
```

{% endcode %}
{% endtab %}

{% tab title="iOS" %}
DT does not support this option for iOS.
{% endtab %}

{% tab title="Unity" %}
{% code title="C#" %}

```csharp
UserInfo.SetGdprConsent(false);
```

{% endcode %}
{% endtab %}
{% endtabs %}

## \[Optional] Additional User Consent String

To pass an optional consent string, use the following API:

{% tabs %}
{% tab title="Android" %}
{% code title="Java" %}

```java
String consentString = "BOEFEAyOEFEAyXXXXXXI4AAAB9vABAASA";
UserInfo.setGdprConsentString(consentString, this);
```

{% endcode %}
{% endtab %}

{% tab title="iOS" %}
{% code title="Swift" %}

```swift
FairBid.user().gdprConsentString = "BOEFEAyOEFEAyXXXXXXI4AAAB9vABAASA"
```

{% endcode %}

{% code title="Objective-C" %}

```objective-c
[FairBid user].GDPRConsentString = @"BOEFEAyOEFEAyXXXXXXXI4AAAB9vABAASA";
```

{% endcode %}
{% endtab %}

{% tab title="Unity" %}
{% code title="C#" %}

```csharp
var consentString = "BOEFEAyOEFEAyXXXXXXI4AAAB9vABAASA";
UserInfo.SetGdprConsentString(consentString);;
```

{% endcode %}
{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.digitalturbine.com/dt-fairbid/fairbid-sdk/sdk-reference/gdpr.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
